* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  background-color: #bfbfbf;
}

main {
  position: relative;
  margin: auto;
  max-width: 320px; /* Ancho máximo para el iPhone SE */
  min-height: 100vh;
  padding: 10px; /* Añadido un pequeño espacio alrededor del contenido */
}

#aulas,
#aulas-label,
#capacidad-label,
#capacidad,
#filtro {
  width: 100%;
}

#filtro-container {
  position: relative; /* Cambiado a posición relativa para centrar en el contenedor principal */
  margin: 10px auto; /* Alineación central */
}

#filtro:hover {
  background-color: #7b7b7b;
  color: #0d0d0d;
}

#capacidad-min {
  display: flex;
  flex-direction: column; /* Cambiado a disposición de columna para apilar en dispositivos pequeños */
}

#min-capacidad {
  width: 100%; /* Ancho completo para dispositivos pequeños */
  margin-top: 10px; /* Espaciado superior */
}

#aula-capacidad {
  display: grid;
  width: 100%;
  grid-template-columns: 1fr;
  grid-template-areas:
    "aula-label"
    "aula"
    "capacidad-label"
    "capacidad";
}

input[type="text"],
input[type="area"],
input[type="date"],
select {
  width: calc(100% - 20px); /* Ancho ajustado con un pequeño espacio adicional */
  padding: 10px;
  font-size: 16px; /* Tamaño de fuente reducido para dispositivos pequeños */
  margin-top: 10px;
}

form {
  position: relative;
  padding-top: 10px; /* Espaciado superior reducido */
  font-family: Arial, Helvetica, sans-serif;
  border: none;
}

button#submit {
  padding: 10px;
  font-size: 16px;
  display: block;
  margin: 20px auto 10px auto; /* Alineado en el centro con más espacio inferior */
  width: calc(100% - 20px); /* Ancho ajustado con un pequeño espacio adicional */
  border: none;
  color: #f2f2f2;
  background-color: #0d0d0d;
}

@media screen and (max-width: 320px) {
  #filtro-container {
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }
}
